Package org.springframework.cglib.reflect

# Class FastMember

java.lang.Object
org.springframework.cglib.reflect.FastMember

Direct Known Subclasses:
  `FastConstructor`, `FastMethod`

public abstract class FastMember extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected FastClass`
`fc`
`protected int`
`index`
`protected Member`
`member`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FastMember(FastClass fc, Member member, int index)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Class`
`getDeclaringClass()`
`abstract Class[]`
`getExceptionTypes()`
`int`
`getIndex()`
`int`
`getModifiers()`
`String`
`getName()`
`abstract Class[]`
`getParameterTypes()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fc

protected FastClass fc

### member

protected Member member

### index

protected int index

## Constructor Details

### FastMember

protected FastMember(FastClass fc, Member member, int index)

## Method Details

### getParameterTypes

public abstract Class[] getParameterTypes()

### getExceptionTypes

public abstract Class[] getExceptionTypes()

### getIndex

public int getIndex()

### getName

public String getName()

### getDeclaringClass

public Class getDeclaringClass()

### getModifiers

public int getModifiers()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`